using SQLite;
using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Entity;

[Table("stb_activity_result")]
public class StbActivityResult
{
    [PrimaryKey, Column("activity_result_id"), JsonPropertyName("activityResultId")]
    public string ActivityResultId { get; set; }

    [Column("path_icona"), JsonPropertyName("pathIcona")]
    public string? PathIcona { get; set; }

    [Column("flag_save_rap_lav"), JsonPropertyName("flagSaveRapLav")]
    public string FlagSaveRapLav { get; set; } = "N";

    [Column("flag_activity_result"), JsonPropertyName("flagActivityResult")]
    public int? FlagActivityResult { get; set; } = 1;

    [Column("flag_insert_activity"), JsonPropertyName("flagInsertActivity")]
    public string FlagInsertActivity { get; set; } = "N";

    [Column("flag_attivo"), JsonPropertyName("flagAttivo")]
    public string FlagAttivo { get; set; } = "S";

    [Column("flag_invio_notifica"), JsonPropertyName("flagInvioNotifica")]
    public string FlagInvioNotifica { get; set; } = "N";

    [Column("flag_stato_attivita"), JsonPropertyName("flagStatoAttivita")]
    public string FlagStatoAttivita { get; set; } = "N";
}